﻿<%@ control language="VB" autoeventwireup="false" inherits="ProductAttributes, KartrisCompiled" %>
<asp:PlaceHolder ID="phdDetails" runat="server" Visible="false">
    <div class="attributes">
        <h2>
            <asp:Literal ID="litAttributesTitle" runat="server" Text="<%$ Resources:Attributes, ContentText_Attributes %>"></asp:Literal></h2>
        <table class="filled">
            <thead>
                <tr class="headrow">
                    <th>
                        <asp:Literal ID="litContentTextAttributeName" runat="server" Text='<%$ Resources:Attributes, ContentText_AttributeName %>' />
                    </th>
                    <th>
                        <asp:Literal ID="litContentTextAttributeValue" runat="server" Text='<%$ Resources:Attributes, ContentText_AttributeValue %>' />
                    </th>
                </tr>
            </thead>
            <tbody>
                <asp:Repeater ID="rptAttributes" runat="server">
                    <ItemTemplate>
                        <tr>
                            <td class="itemname">
                                <asp:Literal ID="litAttributeName" runat="server" Text='<%#Eval("ATTRIB_Name") %>' />
                            </td>
                            <td>
                                <asp:Literal ID="litAttributeValue" runat="server" Text='<%#Eval("ATTRIBV_Value") %>' />
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
            </tbody>
        </table>
    </div>
</asp:PlaceHolder>
