﻿<%@ page language="VB" autoeventwireup="false" inherits="Admin_LiveCurrencies, KartrisCompiled" masterpagefile="~/MasterPages/Admin.master" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntHead" ContentPlaceHolderID="phdHead" runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="phdMain" runat="Server">
    <div id="section_currencies">
    <asp:Literal ID="litMessage" runat="server" Visible="false" />
    
    <asp:PlaceHolder ID="phdMainContent" runat="server">
        <div class="floatright">
            <asp:HyperLink ID="lnkCurrencies" CssClass="linkbutton icon_edit" runat="server"
                NavigateUrl="~/Admin/_Currency.aspx" Text="<%$ Resources:_Currency, PageTitle_Currencies %>"></asp:HyperLink>
        </div>
        <h1>
            <asp:Literal ID="litPageTitleCurrencies" runat="server" Text="<%$ Resources:_Currency, PageTitle_Currencies %>" />:
            <span class="h1_light">
                <asp:Literal ID="litPageTitleLiveCurrencyRateUpdate" runat="server" Text="<%$ Resources: _Currency, PageTitle_LiveCurrencyRateUpdate %>" /></span>
        </h1>
        <p>
            <asp:Literal ID="litContentTextLiveCurrencyRateText" runat="server" Text="<%$ Resources: _Currency, ContentText_LiveCurrencyRateText %>" /></p>
        <br />
        <br />
        <asp:UpdatePanel ID="updMain" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:PlaceHolder ID="phdCurrencies" runat="server" Visible="true">
                    <table class="kartristable">
                        <thead>
                            <tr>
                                <th>
                                    <asp:Literal ID="litContentTextCurrency" runat="server" Text="<%$ Resources: _Currency, ContentText_Currency %>" />
                                </th>
                                <th>
                                    <asp:Literal ID="litContentTextISOCode" runat="server" Text="<%$ Resources: _Currency, ContentText_ISOCode %>" />
                                </th>
                                <th>
                                    <asp:Literal ID="litContentTextCurrencyRate" runat="server" Text="<%$ Resources: _Currency, ContentText_CurrentRate %>" />
                                </th>
                                <th>
                                    <asp:Literal ID="litContentTextNewRate" runat="server" Text="<%$ Resources: _Currency, ContentText_NewRate %>" />
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <asp:Repeater ID="rptCurrencies" runat="server">
                                <ItemTemplate>
                                    <tr>
                                        <td class="bold">
                                            <asp:Literal ID="litCurrencyID" runat="server" Text='<%# Eval("CurrencyID") %>' Visible="false" />
                                            <asp:Literal ID="litCurrencyName" runat="server" Text='<%# Eval("CurrencyName") %>' />
                                        </td>
                                        <td>
                                            <asp:Literal ID="litISOCode" runat="server" Text='<%# Eval("ISOCode") %>' />
                                        </td>
                                        <td>
                                            <asp:Literal ID="litCurrentRate" runat="server" Text='<%# Eval("CurrentRate") %>' />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtNewRate" runat="server" Text='<%# Eval("NewRate") %>' CssClass="midtext"
                                                MaxLength="8" />
                                            <asp:RegularExpressionValidator ID="valRegexNewOld" runat="server" Display="Dynamic" SetFocusOnError="true"
                                                ErrorMessage="<%$ Resources: _Kartris, ContentText_InvalidValue %>" CssClass="error" ForeColor="" ControlToValidate="txtNewRate" 
                                                ValidationExpression="<%$ AppSettings:decimalRegex %>" />
                                            <ajaxToolkit:FilteredTextBoxExtender ID="filNewRate" runat="server" TargetControlID="txtNewRate"
                                                FilterType="Numbers, Custom" ValidChars=".," />
                                            <%--<asp:CompareValidator ID="valCompareNewOld" runat="server" ErrorMessage="<%$ Resources: _Kartris, ContentText_InvalidValue %>" CssClass="error"
                                                ForeColor="" SetFocusOnError="true" ControlToValidate="txtNewRate" Operator="DataTypeCheck"
                                                Type="Double" />--%>
                                        </td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="Kartris-GridView-Alternate">
                                        <td class="itemname">
                                            <asp:Literal ID="litCurrencyID" runat="server" Text='<%# Eval("CurrencyID") %>' Visible="false" />
                                            <asp:Literal ID="litCurrencyName" runat="server" Text='<%# Eval("CurrencyName") %>' />
                                        </td>
                                        <td>
                                            <asp:Literal ID="litISOCode" runat="server" Text='<%# Eval("ISOCode") %>' />
                                        </td>
                                        <td>
                                            <asp:Literal ID="litCurrentRate" runat="server" Text='<%# Eval("CurrentRate") %>' />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtNewRate" runat="server" Text='<%# Eval("NewRate") %>' CssClass="midtext"
                                                MaxLength="8" />
                                            <asp:RegularExpressionValidator ID="valRegexNewOld" runat="server" Display="Dynamic" SetFocusOnError="true"
                                                ErrorMessage="<%$ Resources: _Kartris, ContentText_InvalidValue %>" CssClass="error" ForeColor="" ControlToValidate="txtNewRate"
                                                ValidationExpression="<%$ AppSettings:decimalRegex %>" />
                                            <ajaxToolkit:FilteredTextBoxExtender ID="filNewRate" runat="server" TargetControlID="txtNewRate"
                                                FilterType="Numbers, Custom" ValidChars=".," />
                                            <%--<asp:CompareValidator ID="valCompareNewOld" runat="server" ErrorMessage="<%$ Resources: _Kartris, ContentText_InvalidValue %>" CssClass="error"
                                                ForeColor="" SetFocusOnError="true" ControlToValidate="txtNewRate" Operator="DataTypeCheck"
                                                Type="Double" />--%>
                                        </td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>
                        </tbody>
                    </table>
                    <div class="submitbuttons">
                        <asp:Button ID="lnkUpdateCurrencies" runat="server" CssClass="button" Text="<%$ Resources:_Kartris, FormButton_Update %>" />
                        <div class="infomessage">
                            <asp:Literal ID="litContentTextCurrencyHash" runat="server" Text="<%$ Resources: _Currency, ContentText_CurrencyHash %>" />
                        </div>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phdCurrenciesNotAccessible" runat="server">
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: _Kartris, ContentText_LiveCurrenciesNotAccessible %>" />
                </asp:PlaceHolder>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdateProgress ID="prgMain" runat="server" AssociatedUpdatePanelID="updMain">
            <ProgressTemplate>
                <div class="loadingimage">
                </div>
                <div class="updateprogress">
                </div>
            </ProgressTemplate>
        </asp:UpdateProgress>
        <_user:PopupMessage ID="_UC_PopupMsg" runat="server" />
        </asp:PlaceHolder>
    </div>
</asp:Content>
